"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }

var _chunkROMJB24Bcjs = require('./chunk-ROMJB24B.cjs');


var _chunkFLEYODRWcjs = require('./chunk-FLEYODRW.cjs');


var _chunkZYPCVNSGcjs = require('./chunk-ZYPCVNSG.cjs');

// src/common/log/log.ts
var globalLogger;
function getLoggerContext(setup) {
  const logger = _chunkROMJB24Bcjs.LoggerContext.call(void 0, );
  if (setup)
    setup(logger);
  else
    logger.setHandlers([_chunkFLEYODRWcjs.LoggerConsoleHandler.call(void 0, )]);
  return logger;
}
function getGlobalLogger(setup) {
  if (globalLogger == null) {
    try {
      const gcontext = _chunkZYPCVNSGcjs.getGlobalContext.call(void 0, );
      if (gcontext != null) {
        if (_optionalChain([gcontext, 'optionalAccess', _ => _.logger]) == null) {
          globalLogger = getLoggerContext(setup);
          gcontext.logger = globalLogger;
        } else {
          globalLogger = gcontext.logger;
        }
      } else {
        globalLogger = getLoggerContext(setup);
      }
    } catch (e) {
      globalLogger = getLoggerContext(setup);
    }
  }
  return globalLogger;
}
function getGlobalLoggerIfExists() {
  if (globalLogger != null)
    return globalLogger;
  try {
    const gcontext = _chunkZYPCVNSGcjs.getGlobalContext.call(void 0, );
    if (_optionalChain([gcontext, 'optionalAccess', _2 => _2.logger]) != null)
      return gcontext.logger;
  } catch (e) {
  }
}
function DefaultLogger(name, level) {
  return getGlobalLogger()(name, level);
}





exports.getGlobalLogger = getGlobalLogger; exports.getGlobalLoggerIfExists = getGlobalLoggerIfExists; exports.DefaultLogger = DefaultLogger;
//# sourceMappingURL=chunk-2ICTYHLD.cjs.map