import {
  isBrowser
} from "./chunk-QVFQNQV4.js";
import {
  getGlobalLogger
} from "./chunk-Q4U2LWXG.js";
import {
  LoggerBrowserSetupDebugFactory
} from "./chunk-4G677SKA.js";
import {
  LoggerBrowserHandler
} from "./chunk-E72FJFGD.js";
import {
  isEmpty
} from "./chunk-SIEZSWEQ.js";

// src/browser/log/log-context-browser.ts
function Logger(name, level) {
  return getGlobalLogger((context) => {
    if (isBrowser() && !isEmpty(localStorage.getItem("zeed"))) {
      context.setHandlers([LoggerBrowserHandler()]);
      context.setFactory(LoggerBrowserSetupDebugFactory({}));
    }
  })(name, level);
}

export {
  Logger
};
//# sourceMappingURL=chunk-LNVQ33Y4.js.map