"use strict";Object.defineProperty(exports, "__esModule", {value: true});











var _chunkHKDYK77Ncjs = require('./chunk-HKDYK77N.cjs');














var _chunk7GW3ENUZcjs = require('./chunk-7GW3ENUZ.cjs');


var _chunkEAWRHPYJcjs = require('./chunk-EAWRHPYJ.cjs');


var _chunkDG7AY3TMcjs = require('./chunk-DG7AY3TM.cjs');

// src/common/bin/index.ts
var BinaryEncoder = class {
  async encode(data) {
    const dataEncoder = _chunk7GW3ENUZcjs.createEncoder.call(void 0, );
    _chunk7GW3ENUZcjs.writeAny.call(void 0, dataEncoder, data);
    return _chunk7GW3ENUZcjs.encodeToUint8Array.call(void 0, dataEncoder);
  }
  async decode(data) {
    return _chunkHKDYK77Ncjs.readAny.call(void 0, _chunkHKDYK77Ncjs.createDecoder.call(void 0, _chunkDG7AY3TMcjs.toUint8Array.call(void 0, data)));
  }
};
function encodeJson(data) {
  const dataEncoder = _chunk7GW3ENUZcjs.createEncoder.call(void 0, );
  _chunk7GW3ENUZcjs.writeAny.call(void 0, dataEncoder, data);
  return _chunk7GW3ENUZcjs.encodeToUint8Array.call(void 0, dataEncoder);
}
function decodeJson(data) {
  return _chunkHKDYK77Ncjs.readAny.call(void 0, _chunkHKDYK77Ncjs.createDecoder.call(void 0, _chunkDG7AY3TMcjs.toUint8Array.call(void 0, data)));
}
function createBinaryStreamEncoder(initialData) {
  const dataEncoder = _chunk7GW3ENUZcjs.createEncoder.call(void 0, );
  if (initialData != null)
    _chunk7GW3ENUZcjs.writeUint8Array.call(void 0, dataEncoder, _chunkDG7AY3TMcjs.toUint8Array.call(void 0, initialData));
  return {
    /** Just writes the bytes. Length is not stored! */
    writeBytes: (data, expectedLength) => {
      const bin = _chunkDG7AY3TMcjs.toUint8Array.call(void 0, data);
      _chunkEAWRHPYJcjs.assertCondition.call(void 0, !(expectedLength != null && bin.length !== expectedLength), `Expected ${expectedLength} bytes, got ${bin.length}`);
      _chunk7GW3ENUZcjs.writeUint8Array.call(void 0, dataEncoder, bin);
    },
    writeBytesVar: (data) => _chunk7GW3ENUZcjs.writeVarUint8Array.call(void 0, dataEncoder, _chunkDG7AY3TMcjs.toUint8Array.call(void 0, data)),
    writeUintVar: (data) => _chunk7GW3ENUZcjs.writeVarUint.call(void 0, dataEncoder, data),
    writeUint8: (data) => _chunk7GW3ENUZcjs.writeUint8.call(void 0, dataEncoder, data),
    writeUint16: (data) => _chunk7GW3ENUZcjs.writeUint16.call(void 0, dataEncoder, data),
    writeUint32: (data) => _chunk7GW3ENUZcjs.writeUint32.call(void 0, dataEncoder, data),
    writeIntVar: (data) => _chunk7GW3ENUZcjs.writeVarInt.call(void 0, dataEncoder, data),
    writeFloat: (data) => _chunk7GW3ENUZcjs.writeFloat32.call(void 0, dataEncoder, data),
    writeStringVar: (data) => _chunk7GW3ENUZcjs.writeVarString.call(void 0, dataEncoder, data),
    write: (data) => _chunk7GW3ENUZcjs.writeAny.call(void 0, dataEncoder, data),
    getUint8Array: () => _chunk7GW3ENUZcjs.encodeToUint8Array.call(void 0, dataEncoder),
    getLength: () => _chunk7GW3ENUZcjs.length.call(void 0, dataEncoder)
  };
}
function createBinaryStreamDecoder(data) {
  const dataDecoder = _chunkHKDYK77Ncjs.createDecoder.call(void 0, _chunkDG7AY3TMcjs.toUint8Array.call(void 0, data));
  return {
    readBytes: (len) => _chunkHKDYK77Ncjs.readUint8Array.call(void 0, dataDecoder, len),
    readBytesVar: () => _chunkHKDYK77Ncjs.readVarUint8Array.call(void 0, dataDecoder),
    readUintVar: () => _chunkHKDYK77Ncjs.readVarUint.call(void 0, dataDecoder),
    readUint8: () => _chunkHKDYK77Ncjs.readUint8.call(void 0, dataDecoder),
    readUint16: () => _chunkHKDYK77Ncjs.readUint16.call(void 0, dataDecoder),
    readUint32: () => _chunkHKDYK77Ncjs.readUint32.call(void 0, dataDecoder),
    readIntVar: () => _chunkHKDYK77Ncjs.readVarInt.call(void 0, dataDecoder),
    readFloat: () => _chunkHKDYK77Ncjs.readFloat32.call(void 0, dataDecoder),
    readStringVar: () => _chunkHKDYK77Ncjs.readVarString.call(void 0, dataDecoder),
    read: () => _chunkHKDYK77Ncjs.readAny.call(void 0, dataDecoder),
    getOffset: () => dataDecoder.pos || 0
  };
}
function bitfield(bitfield2 = 0) {
  return {
    setBit: (bit, value = true) => value ? bitfield2 |= 1 << bit : bitfield2 &= ~(1 << bit),
    unsetBit: (bit) => bitfield2 &= 1 << bit,
    toggleBit: (bit) => bitfield2 ^= 1 << bit,
    getBit: (bit) => (bitfield2 & 1 << bit) !== 0,
    getValue: () => bitfield2
  };
}
async function blobToArrayBuffer(blob) {
  return await blob.arrayBuffer();
}
async function blobToUint8Array(blob) {
  const buffer = await blobToArrayBuffer(blob);
  if (buffer != null)
    return _chunkDG7AY3TMcjs.toUint8Array.call(void 0, buffer);
}










exports.BinaryEncoder = BinaryEncoder; exports.encodeJson = encodeJson; exports.decodeJson = decodeJson; exports.createBinaryStreamEncoder = createBinaryStreamEncoder; exports.createBinaryStreamDecoder = createBinaryStreamDecoder; exports.bitfield = bitfield; exports.blobToArrayBuffer = blobToArrayBuffer; exports.blobToUint8Array = blobToUint8Array;
//# sourceMappingURL=chunk-TEF2WOOV.cjs.map