"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }require('../chunk-IB5IYYW3.cjs');
require('../chunk-Q2SNIYQS.cjs');
require('../chunk-NNOKB4OQ.cjs');
require('../chunk-TEF2WOOV.cjs');
require('../chunk-HKDYK77N.cjs');
require('../chunk-7GW3ENUZ.cjs');
require('../chunk-X23ZSPZC.cjs');
require('../chunk-2UTQQDPY.cjs');
require('../chunk-SFUIGVPA.cjs');
require('../chunk-X3FJQE3E.cjs');
require('../chunk-Y3THA3W3.cjs');
require('../chunk-3TNVJY4F.cjs');
require('../chunk-MJ7L4G3V.cjs');
require('../chunk-WPWV7ZEM.cjs');
require('../chunk-OVBARQNU.cjs');
require('../chunk-JZKRP4QF.cjs');
require('../chunk-EAWRHPYJ.cjs');
require('../chunk-6OGFCNZH.cjs');
require('../chunk-NU2LARFE.cjs');
require('../chunk-JGSTQKRU.cjs');
require('../chunk-5E25LK35.cjs');
require('../chunk-NCMGFEPH.cjs');
require('../chunk-MY3D4RDK.cjs');
require('../chunk-BUWCUYNX.cjs');
require('../chunk-BXH2HPYJ.cjs');
require('../chunk-POYDQ737.cjs');
require('../chunk-T3EJFERM.cjs');
require('../chunk-YLIOIRA7.cjs');
require('../chunk-6LKD7EB2.cjs');
require('../chunk-FTPYRBK7.cjs');
require('../chunk-M5A6E3IV.cjs');
require('../chunk-XXOAD5DS.cjs');
require('../chunk-AR2DA2WC.cjs');
require('../chunk-XG57S66T.cjs');
require('../chunk-ILU6JYIQ.cjs');


var _chunk2ICTYHLDcjs = require('../chunk-2ICTYHLD.cjs');
require('../chunk-ROMJB24B.cjs');
require('../chunk-FLEYODRW.cjs');
require('../chunk-ZYPCVNSG.cjs');






var _chunkVECBUBQPcjs = require('../chunk-VECBUBQP.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-4DTP63TD.cjs');
require('../chunk-ALCNRFOT.cjs');
require('../chunk-44QLSR3L.cjs');
require('../chunk-RHU3NAJJ.cjs');
require('../chunk-5YJQXJJ2.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-7XAMJGPO.cjs');
require('../chunk-4775F523.cjs');
require('../chunk-HUNMBCJM.cjs');
require('../chunk-BJSAB3V6.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-5YFZ5XHS.cjs');
require('../chunk-ZMMLSWTE.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-DLURJFPJ.cjs');
require('../chunk-TLW7XWMG.cjs');
require('../chunk-RUCUMN54.cjs');
require('../chunk-N5QVPPY5.cjs');
require('../chunk-ANZPWIO4.cjs');
require('../chunk-HGZBTWNM.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-P6CCMGL5.cjs');
require('../chunk-2H3C4K3S.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-ZZSC3TSL.cjs');
require('../chunk-BMRI2X66.cjs');



var _chunkDG7AY3TMcjs = require('../chunk-DG7AY3TM.cjs');
require('../chunk-JGD7O5EZ.cjs');

// src/common/crypto.spec.ts
var log = _chunk2ICTYHLDcjs.DefaultLogger.call(void 0, "crypto.spec");
describe("crypto", () => {
  it("should not have collisions", () => {
    expect(_chunkDG7AY3TMcjs.equalBinary.call(void 0, new Uint8Array(2), new Uint8Array([0, 0]))).toBe(true);
    const list = Array.apply(null, Array(100)).map(
      () => _chunkVECBUBQPcjs.randomUint8Array.call(void 0, 8)
    );
    let id;
    while (id = list.pop()) {
      expect(_chunkDG7AY3TMcjs.equalBinary.call(void 0, id, new Uint8Array([0, 0, 0, 0, 0, 0, 0, 0]))).toBe(
        false
      );
      expect(_optionalChain([id, 'optionalAccess', _ => _.length])).toBe(8);
      expect(list).not.toContain(id);
    }
  });
  it("should digest", async () => {
    expect(_chunkDG7AY3TMcjs.toHex.call(void 0, await _chunkVECBUBQPcjs.digest.call(void 0, "abc"))).toBe(
      "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
    );
    expect(await _chunkVECBUBQPcjs.digest.call(void 0, new Uint8Array([1, 2, 3]))).toMatchInlineSnapshot(`
Uint8Array [
  3,
  144,
  88,
  198,
  242,
  192,
  203,
  73,
  44,
  83,
  59,
  10,
  77,
  20,
  239,
  119,
  204,
  15,
  120,
  171,
  204,
  206,
  213,
  40,
  125,
  132,
  161,
  162,
  1,
  28,
  251,
  129,
]
`);
  });
  it("should raw crypt", async () => {
    const key = await _chunkVECBUBQPcjs.deriveKeyPbkdf2.call(void 0, new Uint8Array([1, 2, 3]), {
      salt: new Uint8Array([1, 2, 3])
    });
    const sample = new Uint8Array([9, 8, 7, 6, 5, 4, 3, 2, 1, 0]);
    const cipher = await _chunkVECBUBQPcjs.encrypt.call(void 0, sample, key);
    const bin = await _chunkVECBUBQPcjs.decrypt.call(void 0, cipher, key);
    expect(_chunkDG7AY3TMcjs.equalBinary.call(void 0, sample, bin)).toBe(true);
    const binFix = await _chunkVECBUBQPcjs.decrypt.call(void 0, 
      new Uint8Array([
        1,
        1,
        27,
        108,
        252,
        31,
        238,
        192,
        61,
        168,
        45,
        29,
        128,
        212,
        215,
        222,
        205,
        105,
        178,
        193,
        150,
        36,
        24,
        216,
        180,
        75,
        168,
        133,
        37,
        25,
        124,
        137,
        221,
        103,
        214,
        97,
        218,
        232,
        248,
        93
      ]),
      key
    );
    expect(binFix).toEqual(sample);
  });
});
//# sourceMappingURL=crypto.spec.cjs.map