"use strict";require('../../chunk-IB5IYYW3.cjs');
require('../../chunk-Q2SNIYQS.cjs');
require('../../chunk-NNOKB4OQ.cjs');
require('../../chunk-TEF2WOOV.cjs');
require('../../chunk-HKDYK77N.cjs');
require('../../chunk-7GW3ENUZ.cjs');
require('../../chunk-X23ZSPZC.cjs');
require('../../chunk-2UTQQDPY.cjs');
require('../../chunk-SFUIGVPA.cjs');
require('../../chunk-X3FJQE3E.cjs');
require('../../chunk-Y3THA3W3.cjs');
require('../../chunk-3TNVJY4F.cjs');
require('../../chunk-MJ7L4G3V.cjs');
require('../../chunk-WPWV7ZEM.cjs');
require('../../chunk-OVBARQNU.cjs');
require('../../chunk-JZKRP4QF.cjs');
require('../../chunk-EAWRHPYJ.cjs');
require('../../chunk-6OGFCNZH.cjs');
require('../../chunk-NU2LARFE.cjs');
require('../../chunk-JGSTQKRU.cjs');
require('../../chunk-5E25LK35.cjs');
require('../../chunk-NCMGFEPH.cjs');
require('../../chunk-MY3D4RDK.cjs');
require('../../chunk-BUWCUYNX.cjs');
require('../../chunk-BXH2HPYJ.cjs');
require('../../chunk-POYDQ737.cjs');
require('../../chunk-T3EJFERM.cjs');
require('../../chunk-YLIOIRA7.cjs');
require('../../chunk-6LKD7EB2.cjs');
require('../../chunk-FTPYRBK7.cjs');
require('../../chunk-M5A6E3IV.cjs');
require('../../chunk-XXOAD5DS.cjs');
require('../../chunk-AR2DA2WC.cjs');
require('../../chunk-XG57S66T.cjs');
require('../../chunk-ILU6JYIQ.cjs');
require('../../chunk-2ICTYHLD.cjs');
require('../../chunk-ROMJB24B.cjs');
require('../../chunk-FLEYODRW.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VECBUBQP.cjs');
require('../../chunk-N46W55MH.cjs');
require('../../chunk-4DTP63TD.cjs');
require('../../chunk-ALCNRFOT.cjs');
require('../../chunk-44QLSR3L.cjs');
require('../../chunk-RHU3NAJJ.cjs');
require('../../chunk-5YJQXJJ2.cjs');
require('../../chunk-DRTH56G4.cjs');
require('../../chunk-KTC5RW57.cjs');
require('../../chunk-A4VFMLAN.cjs');
require('../../chunk-7XAMJGPO.cjs');
require('../../chunk-4775F523.cjs');


var _chunkHUNMBCJMcjs = require('../../chunk-HUNMBCJM.cjs');
require('../../chunk-BJSAB3V6.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-5YFZ5XHS.cjs');
require('../../chunk-ZMMLSWTE.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-DLURJFPJ.cjs');
require('../../chunk-TLW7XWMG.cjs');
require('../../chunk-RUCUMN54.cjs');
require('../../chunk-N5QVPPY5.cjs');
require('../../chunk-ANZPWIO4.cjs');



var _chunkHGZBTWNMcjs = require('../../chunk-HGZBTWNM.cjs');
require('../../chunk-PJXRDQ2A.cjs');
require('../../chunk-P6CCMGL5.cjs');
require('../../chunk-2H3C4K3S.cjs');
require('../../chunk-FYLSPYV2.cjs');
require('../../chunk-YKRFYR2Q.cjs');


var _chunkZZSC3TSLcjs = require('../../chunk-ZZSC3TSL.cjs');
require('../../chunk-BMRI2X66.cjs');
require('../../chunk-DG7AY3TM.cjs');
require('../../chunk-JGD7O5EZ.cjs');

// src/common/data/sorted.spec.ts
describe("sorted", () => {
  const sorted = _chunkHUNMBCJMcjs.useSorted.call(void 0, );
  const list = [-0.2, -1e-3, 0, 1e-3, 2];
  const items = list.map((sort, index) => ({ index, sort }));
  it("should add correctly", () => {
    expect(sorted.start(items)).toBeLessThan(list[0]);
    expect(sorted.end(items)).toBeGreaterThan(_chunkZZSC3TSLcjs.last.call(void 0, list) || 0);
  });
  it("should sort correctly", () => {
    const shuffledItems = _chunkHGZBTWNMcjs.arrayShuffleForce.call(void 0, items);
    expect(shuffledItems.map((el) => el.sort)).not.toEqual(list);
    expect(sorted.items(shuffledItems).map((el) => el.sort)).toEqual(list);
  });
  it("should move correctly", () => {
    let items2 = [];
    for (let i = 0; i < 10; i++) {
      items2.push({
        name: String(i),
        sort: i
      });
    }
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
    const moveItem = items2[8];
    moveItem.sort = sorted.move(1, 8, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0812345679");
    items2 = sorted.items(items2);
    const moveItem2 = items2[1];
    _chunkHGZBTWNMcjs.arrayShuffleInPlace.call(void 0, items2);
    moveItem2.sort = sorted.move(8, 1, items2);
    expect(
      sorted.items(items2).map((o) => o.name).join("")
    ).toEqual("0123456789");
  });
});
//# sourceMappingURL=sorted.spec.cjs.map