"use strict";

var _chunkJZKRP4QFcjs = require('../chunk-JZKRP4QF.cjs');

// src/common/localhost.spec.ts
describe("localhost", () => {
  it("should be accurate", () => {
    const samples = {
      "1.1.1.1": false,
      "127.0.0.1": true,
      "10.0.0.99": true,
      "192.168.0.99": true,
      "space.local": true,
      "holtwick.de": false,
      "somename": false,
      "local": false,
      "localhost": true,
      "::1": true
    };
    for (const [domain, result] of Object.entries(samples)) {
      expect(_chunkJZKRP4QFcjs.isLocalHost.call(void 0, domain)).toBe(result);
      expect(_chunkJZKRP4QFcjs.isLocalHost.call(void 0, ) != null).toBe(true);
    }
  });
});
//# sourceMappingURL=localhost.spec.cjs.map