"use strict";


var _chunkX3FJQE3Ecjs = require('../chunk-X3FJQE3E.cjs');
require('../chunk-XG57S66T.cjs');
require('../chunk-ILU6JYIQ.cjs');
require('../chunk-2ICTYHLD.cjs');
require('../chunk-ROMJB24B.cjs');
require('../chunk-FLEYODRW.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-4DTP63TD.cjs');
require('../chunk-ALCNRFOT.cjs');
require('../chunk-44QLSR3L.cjs');
require('../chunk-RHU3NAJJ.cjs');
require('../chunk-5YJQXJJ2.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-7XAMJGPO.cjs');
require('../chunk-4775F523.cjs');
require('../chunk-HUNMBCJM.cjs');
require('../chunk-BJSAB3V6.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-5YFZ5XHS.cjs');
require('../chunk-ZMMLSWTE.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-DLURJFPJ.cjs');
require('../chunk-TLW7XWMG.cjs');
require('../chunk-RUCUMN54.cjs');
require('../chunk-N5QVPPY5.cjs');
require('../chunk-ANZPWIO4.cjs');
require('../chunk-HGZBTWNM.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-P6CCMGL5.cjs');
require('../chunk-2H3C4K3S.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-ZZSC3TSL.cjs');
require('../chunk-BMRI2X66.cjs');
require('../chunk-DG7AY3TM.cjs');
require('../chunk-JGD7O5EZ.cjs');

// src/common/network.spec.ts
describe("network", () => {
  it("should fetch", async () => {
    if (globalThis.isNodeTestEnv) {
      const html = await _chunkX3FJQE3Ecjs.fetchText.call(void 0, "https://holtwick.de");
      expect(html).toContain("<html");
    } else {
      const html = await _chunkX3FJQE3Ecjs.fetchText.call(void 0, "/");
      expect(html).toContain("<html");
    }
  });
  it("should parse basic auth", () => {
    const url = "https://user:pass@example.com/?x=1";
    expect(_chunkX3FJQE3Ecjs.parseBasicAuth.call(void 0, url)).toMatchInlineSnapshot(`
      Object {
        "password": "pass",
        "url": "https://example.com/?x=1",
        "username": "user",
      }
    `);
  });
});
//# sourceMappingURL=network.spec.cjs.map