import {
  fetchText,
  parseBasicAuth
} from "../chunk-5YRPAB4U.js";
import "../chunk-7GOLOL5D.js";
import "../chunk-EC265RJR.js";
import "../chunk-Q4U2LWXG.js";
import "../chunk-W7LFRQ22.js";
import "../chunk-F43DOT7T.js";
import "../chunk-CFICINSP.js";
import "../chunk-I45WP5PM.js";
import "../chunk-XZKJFOLV.js";
import "../chunk-MAHFB3CS.js";
import "../chunk-EJVKADTL.js";
import "../chunk-ERNLUGKM.js";
import "../chunk-IXQQW2HU.js";
import "../chunk-XSB2WAW2.js";
import "../chunk-AS5LR4AI.js";
import "../chunk-5Y3HYG6B.js";
import "../chunk-AFUVZLZZ.js";
import "../chunk-VQP2U5NJ.js";
import "../chunk-2NUBGBAZ.js";
import "../chunk-JOGTJBRE.js";
import "../chunk-FL5CT6MC.js";
import "../chunk-2HWPZ6ZE.js";
import "../chunk-HLRQ5H3N.js";
import "../chunk-FPGKBYJC.js";
import "../chunk-SIEZSWEQ.js";
import "../chunk-DGP32WEQ.js";
import "../chunk-SW2CNWDU.js";
import "../chunk-HWIBO3OW.js";
import "../chunk-Z4LF2VTM.js";
import "../chunk-CBA7RGFL.js";
import "../chunk-YEEGQOIW.js";
import "../chunk-2OESVESN.js";
import "../chunk-IZT6OHMS.js";
import "../chunk-V2ICHMP3.js";
import "../chunk-CFAKTF25.js";
import "../chunk-TYWNSO7K.js";
import "../chunk-ZMFW3O35.js";
import "../chunk-VK2OFAYR.js";
import "../chunk-7NSVDPHN.js";
import "../chunk-EWHIXGDN.js";
import "../chunk-UHUPIXEQ.js";

// src/common/network.spec.ts
describe("network", () => {
  it("should fetch", async () => {
    if (globalThis.isNodeTestEnv) {
      const html = await fetchText("https://holtwick.de");
      expect(html).toContain("<html");
    } else {
      const html = await fetchText("/");
      expect(html).toContain("<html");
    }
  });
  it("should parse basic auth", () => {
    const url = "https://user:pass@example.com/?x=1";
    expect(parseBasicAuth(url)).toMatchInlineSnapshot(`
      Object {
        "password": "pass",
        "url": "https://example.com/?x=1",
        "username": "user",
      }
    `);
  });
});
//# sourceMappingURL=network.spec.js.map