"use strict";// src/common/pipes/types.spec.ts
describe("types.spec", () => {
  it.skip("should pipe", async () => {
    const p1 = {
      post(s) {
      },
      // todo
      on: (fn) => {
      },
      // todo
      serialize(o) {
        return JSON.stringify(o);
      },
      deserialize(s) {
        return JSON.parse(s);
      }
    };
    async function echo(pipe, o) {
      let resolve;
      pipe.on((fn) => resolve = fn);
      pipe.post(o);
      return new Promise(resolve);
    }
    const x = await echo(p1, { a: 1 });
    expect(x).toMatchInlineSnapshot();
  });
});
//# sourceMappingURL=types.spec.cjs.map