"use strict";

var _chunkY3THA3W3cjs = require('../chunk-Y3THA3W3.cjs');

// src/common/platform.spec.ts
describe("platform", () => {
  it("should detect", () => {
    const platform = _chunkY3THA3W3cjs.detect.call(void 0, );
    if (globalThis.isNodeTestEnv) {
      expect(platform.node).toBe(true);
      expect(platform.test).toBe(true);
      expect(platform.browser).toBe(false);
      const isBrowser = new Function(
        "try {return this===window;}catch(e){ return false;}"
      );
      expect(isBrowser()).toBe(false);
    } else {
      expect(platform.node).toBe(false);
      expect(platform.test).toBe(false);
      expect(platform.browser).toBe(true);
      const isBrowser = new Function(
        "try {return this===window;}catch(e){ return false;}"
      );
      expect(isBrowser()).toBe(true);
    }
  });
});
//# sourceMappingURL=platform.spec.cjs.map