"use strict";Object.defineProperty(exports, "__esModule", {value: true});



var _chunk4DTP63TDcjs = require('./chunk-4DTP63TD.cjs');




var _chunkALCNRFOTcjs = require('./chunk-ALCNRFOT.cjs');

// src/common/log/log-console.ts
function LoggerConsoleHandler(opt = {}) {
  const {
    level = void 0,
    filter = void 0
    // colors = true,
    // levelHelper = false,
    // nameBrackets = true,
    // padding = 16,
  } = opt;
  const matchesNamespace = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunk4DTP63TDcjs.useLevelFilter.call(void 0, level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    const name = msg.name ? `[${msg.name}]` : "";
    switch (msg.level) {
      case _chunkALCNRFOTcjs.LogLevelInfo:
        console.info(..._chunk4DTP63TDcjs.joinLogStrings.call(void 0, `I|*   ${name}`, ...msg.messages));
        break;
      case _chunkALCNRFOTcjs.LogLevelWarn:
        console.warn(..._chunk4DTP63TDcjs.joinLogStrings.call(void 0, `W|**  ${name}`, ...msg.messages));
        break;
      case _chunkALCNRFOTcjs.LogLevelError:
        console.error(..._chunk4DTP63TDcjs.joinLogStrings.call(void 0, `E|*** ${name}`, ...msg.messages));
        break;
      default:
        console.debug(..._chunk4DTP63TDcjs.joinLogStrings.call(void 0, `D|    ${name}`, ...msg.messages));
        break;
    }
  };
}



exports.LoggerConsoleHandler = LoggerConsoleHandler;
//# sourceMappingURL=chunk-FLEYODRW.cjs.map