"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunk4DTP63TDcjs = require('./chunk-4DTP63TD.cjs');


var _chunk44QLSR3Lcjs = require('./chunk-44QLSR3L.cjs');

// src/common/log/log-memory.ts
function LoggerMemoryHandler(opt) {
  const { level = void 0, filter = void 0, messages = [] } = opt;
  const matchesNamespace = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, filter);
  const matchesLevel = _chunk4DTP63TDcjs.useLevelFilter.call(void 0, level);
  return (msg) => {
    if (!matchesLevel(msg.level))
      return;
    if (!matchesNamespace(msg.name))
      return;
    msg.timestamp = _chunk44QLSR3Lcjs.getTimestamp.call(void 0, );
    messages.push(msg);
  };
}



exports.LoggerMemoryHandler = LoggerMemoryHandler;
//# sourceMappingURL=chunk-ILU6JYIQ.cjs.map