"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkFLEYODRWcjs = require('./chunk-FLEYODRW.cjs');



var _chunk4DTP63TDcjs = require('./chunk-4DTP63TD.cjs');







var _chunkALCNRFOTcjs = require('./chunk-ALCNRFOT.cjs');

// src/common/log/log-context.ts
function LoggerContext(_prefix = "") {
  let logHandlers = [_chunkFLEYODRWcjs.LoggerConsoleHandler.call(void 0, )];
  let logCheckNamespace = (_name) => true;
  let logLock = false;
  let logFactory = LoggerBaseFactory;
  let logDebug = false;
  function LoggerBaseFactory(name = "", level) {
    const logLevel = _chunk4DTP63TDcjs.parseLogLevel.call(void 0, _nullishCoalesce(level, () => ( _chunkALCNRFOTcjs.LogLevelAll)));
    function defineForLogLevel(fnLevel, fn) {
      if (logLevel <= fnLevel)
        return fn;
      return () => {
      };
    }
    const emit = (msg) => {
      if (logCheckNamespace(name)) {
        for (const handler of logHandlers) {
          if (handler)
            handler(msg);
        }
      }
    };
    const log = defineForLogLevel(_chunkALCNRFOTcjs.LogLevelDebug, (...messages) => {
      emit({
        name,
        messages,
        level: _chunkALCNRFOTcjs.LogLevelDebug
      });
    });
    log.label = name;
    log.extend = function(prefix) {
      return logFactory(name ? `${name}:${prefix}` : prefix);
    };
    log.debug = defineForLogLevel(_chunkALCNRFOTcjs.LogLevelDebug, (...messages) => {
      emit({ name, messages, level: _chunkALCNRFOTcjs.LogLevelDebug });
    });
    log.info = defineForLogLevel(_chunkALCNRFOTcjs.LogLevelInfo, (...messages) => {
      emit({ name, messages, level: _chunkALCNRFOTcjs.LogLevelInfo });
    });
    log.warn = defineForLogLevel(_chunkALCNRFOTcjs.LogLevelWarn, (...messages) => {
      emit({ name, messages, level: _chunkALCNRFOTcjs.LogLevelWarn });
    });
    log.error = defineForLogLevel(_chunkALCNRFOTcjs.LogLevelError, (...messages) => {
      emit({ name, messages, level: _chunkALCNRFOTcjs.LogLevelError });
    });
    log.fatal = defineForLogLevel(_chunkALCNRFOTcjs.LogLevelFatal, (...messages) => {
      emit({ name, messages, level: _chunkALCNRFOTcjs.LogLevelFatal });
      throw new Error(`${messages.map(String).join(" ")}`);
    });
    log.assert = defineForLogLevel(_chunkALCNRFOTcjs.LogLevelFatal, (condition, ...args) => {
      if (condition == null || typeof condition === "number" && Number.isNaN(condition) || !condition)
        log.fatal(...args);
    });
    return log;
  }
  function Logger(name = "", level) {
    const log = logFactory(name, level);
    if (logDebug)
      log.debug(`+++ init of logger "${name}" on level "${log.level}".`);
    return log;
  }
  Logger.registerHandler = function(handler) {
    logHandlers.push(handler);
  };
  Logger.setFilter = function(namespaces) {
    logCheckNamespace = _chunk4DTP63TDcjs.useNamespaceFilter.call(void 0, namespaces);
  };
  Logger.setLock = (lock = true) => logLock = lock;
  Logger.setDebug = (debug = true) => logDebug = debug;
  Logger.setHandlers = function(handlers = []) {
    if (logFactory !== LoggerBaseFactory)
      logFactory = LoggerBaseFactory;
    if (logLock)
      return;
    logHandlers = [...handlers].filter((h) => typeof h === "function");
  };
  Logger.level = _chunkALCNRFOTcjs.LogLevelAll;
  Logger.setLogLevel = function(level = _chunkALCNRFOTcjs.LogLevelAll) {
    if (logLock)
      return;
    Logger.level = level;
  };
  Logger.setFactory = function(factory) {
    if (logLock)
      return;
    logFactory = factory;
  };
  return Logger;
}



exports.LoggerContext = LoggerContext;
//# sourceMappingURL=chunk-ROMJB24B.cjs.map