"use strict"; function _optionalChain(ops) { let lastAccessLHS = undefined; let value = ops[0]; let i = 1; while (i < ops.length) { const op = ops[i]; const fn = ops[i + 1]; i += 2; if ((op === 'optionalAccess' || op === 'optionalCall') && value == null) { return undefined; } if (op === 'access' || op === 'optionalAccess') { lastAccessLHS = value; value = fn(value); } else if (op === 'call' || op === 'optionalCall') { value = fn((...args) => value.call(lastAccessLHS, ...args)); lastAccessLHS = undefined; } } return value; }require('../chunk-NU2LARFE.cjs');
require('../chunk-JGSTQKRU.cjs');
require('../chunk-5E25LK35.cjs');
require('../chunk-NCMGFEPH.cjs');
require('../chunk-MY3D4RDK.cjs');
require('../chunk-BUWCUYNX.cjs');
require('../chunk-BXH2HPYJ.cjs');
require('../chunk-POYDQ737.cjs');
require('../chunk-T3EJFERM.cjs');
require('../chunk-YLIOIRA7.cjs');
require('../chunk-6LKD7EB2.cjs');
require('../chunk-FTPYRBK7.cjs');
require('../chunk-M5A6E3IV.cjs');
require('../chunk-XXOAD5DS.cjs');



var _chunkAR2DA2WCcjs = require('../chunk-AR2DA2WC.cjs');
require('../chunk-XG57S66T.cjs');
require('../chunk-ILU6JYIQ.cjs');


var _chunk2ICTYHLDcjs = require('../chunk-2ICTYHLD.cjs');
require('../chunk-ROMJB24B.cjs');
require('../chunk-FLEYODRW.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-VECBUBQP.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-4DTP63TD.cjs');
require('../chunk-ALCNRFOT.cjs');
require('../chunk-44QLSR3L.cjs');
require('../chunk-RHU3NAJJ.cjs');
require('../chunk-5YJQXJJ2.cjs');
require('../chunk-DRTH56G4.cjs');
require('../chunk-KTC5RW57.cjs');
require('../chunk-A4VFMLAN.cjs');
require('../chunk-7XAMJGPO.cjs');
require('../chunk-4775F523.cjs');
require('../chunk-HUNMBCJM.cjs');
require('../chunk-BJSAB3V6.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-5YFZ5XHS.cjs');
require('../chunk-ZMMLSWTE.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-DLURJFPJ.cjs');
require('../chunk-TLW7XWMG.cjs');
require('../chunk-RUCUMN54.cjs');


var _chunkN5QVPPY5cjs = require('../chunk-N5QVPPY5.cjs');
require('../chunk-ANZPWIO4.cjs');
require('../chunk-HGZBTWNM.cjs');
require('../chunk-PJXRDQ2A.cjs');
require('../chunk-P6CCMGL5.cjs');
require('../chunk-2H3C4K3S.cjs');
require('../chunk-FYLSPYV2.cjs');
require('../chunk-YKRFYR2Q.cjs');
require('../chunk-ZZSC3TSL.cjs');
require('../chunk-BMRI2X66.cjs');
require('../chunk-DG7AY3TM.cjs');
require('../chunk-JGD7O5EZ.cjs');

// src/common/dispose-defer.spec.ts
var log = _chunk2ICTYHLDcjs.DefaultLogger.call(void 0, "dispose-test");
describe("dispose", () => {
  it("should dispose correctly", async () => {
    const disposeCalls = [];
    const dispose = _chunkAR2DA2WCcjs.useDispose.call(void 0, "a");
    const y = dispose.track({
      dispose() {
        disposeCalls.push(1);
      }
    });
    dispose.track(() => {
      disposeCalls.push(2);
    });
    const x = {
      async dispose() {
        disposeCalls.push(3);
      }
    };
    dispose.track(x);
    dispose.track();
    dispose.track(async () => {
      disposeCalls.push(4);
    });
    expect(disposeCalls).toEqual([]);
    expect(dispose.getSize()).toEqual(4);
    await dispose.untrack(x);
    expect(disposeCalls).toEqual([3]);
    expect(dispose.getSize()).toEqual(3);
    await dispose.untrack(x);
    expect(disposeCalls).toEqual([3]);
    expect(dispose.getSize()).toEqual(3);
    _optionalChain([y, 'optionalCall', _ => _()]);
    _optionalChain([y, 'optionalCall', _2 => _2()]);
    await dispose.untrack(x);
    expect(disposeCalls).toEqual([3, 1]);
    expect(dispose.getSize()).toEqual(2);
    await dispose.dispose();
    expect(disposeCalls).toEqual([3, 1, 4, 2]);
    expect(dispose.getSize()).toEqual(0);
    await dispose();
    expect(disposeCalls).toEqual([3, 1, 4, 2]);
    expect(dispose.getSize()).toEqual(0);
  });
  it("should be a fancy dispose itself", () => {
    let x = 1;
    class Some {
      constructor() {
        this.dispose = _chunkAR2DA2WCcjs.useDispose.call(void 0, log);
        this.dispose.track(() => {
          x = 2;
        });
      }
    }
    const obj = new Some();
    expect(x).toBe(1);
    obj.dispose();
    expect(x).toBe(2);
  });
  it("should defer lifo", async () => {
    const stack = [];
    const defer = _chunkAR2DA2WCcjs.useDefer.call(void 0, { mode: "lifo" });
    defer.add(() => stack.push("a"));
    defer.add(() => stack.push("b"));
    defer.add(() => stack.push("c"));
    expect(stack).toEqual([]);
    defer(true);
    expect(stack).toEqual(["c", "b", "a"]);
  });
  it("should defer fifo", async () => {
    const stack = [];
    const defer = _chunkAR2DA2WCcjs.useDefer.call(void 0, { mode: "fifo" });
    defer.add(() => stack.push("a"));
    defer.add(async () => stack.push("b"));
    defer.add(() => stack.push("c"));
    expect(stack).toEqual([]);
    await defer();
    expect(stack).toEqual(["a", "b", "c"]);
  });
  it("should dispose sync", async () => {
    const stack = [];
    const dispose = _chunkAR2DA2WCcjs.useDispose.call(void 0, );
    dispose.add(() => stack.push("a"));
    dispose.add(() => stack.push("b"));
    dispose.add(() => stack.push("c"));
    expect(stack).toEqual([]);
    await dispose(true);
    expect(stack).toEqual(["c", "b", "a"]);
  });
  it("should dispose sync 2", async () => {
    const stack = [];
    const dispose = _chunkAR2DA2WCcjs.useDispose.call(void 0, );
    dispose.add(() => stack.push("a"));
    dispose.add(() => stack.push("b"));
    dispose.add(async () => {
      await _chunkN5QVPPY5cjs.sleep.call(void 0, 1);
      stack.push("c");
    });
    expect(stack).toEqual([]);
    expect(dispose.sync).toThrowError();
  });
});
//# sourceMappingURL=dispose-defer.spec.cjs.map