"use strict";


var _chunkNCMGFEPHcjs = require('../../chunk-NCMGFEPH.cjs');
require('../../chunk-N5QVPPY5.cjs');

// src/common/exec/mutex.spec.ts
describe("mutex", () => {
  it("should mutex", () => {
    let ctr = 0;
    const m = _chunkNCMGFEPHcjs.useMutex.call(void 0, );
    m(() => {
      ++ctr;
      m(
        () => {
          ++ctr;
          m(
            () => {
              ++ctr;
            },
            () => ctr += 10
            // never reached
          );
        },
        () => ctr += 10
      );
    });
    expect(ctr).toBe(11);
  });
  it("should async mutex", async () => {
    let ctr = 0;
    const m = _chunkNCMGFEPHcjs.useAsyncMutex.call(void 0, );
    await m(async () => {
      ++ctr;
      await m(
        async () => {
          ++ctr;
          await m(
            async () => {
              ++ctr;
            },
            async () => ctr += 10
            // never reached
          );
        },
        async () => ctr += 10
      );
    });
    expect(ctr).toBe(11);
  });
});
//# sourceMappingURL=mutex.spec.cjs.map