"use strict";


var _chunk2TJ2LE2Mcjs = require('../chunk-2TJ2LE2M.cjs');
require('../chunk-VMHTZNIC.cjs');
require('../chunk-TZOPYZVR.cjs');

// src/node/files.spec.ts
describe("files.spec", () => {
  it("should fetch some", async () => {
    const result = _chunk2TJ2LE2Mcjs.walkSync.call(void 0, __dirname);
    expect(result).toMatchInlineSnapshot(`
      Array [
        "args.spec.ts",
        "args.ts",
        "clipboard.ts",
        "crypto.ts",
        "env.spec.ts",
        "env.ts",
        "files-async.ts",
        "files.spec.ts",
        "files.ts",
        "filestorage.spec.ts",
        "filestorage.ts",
        "fs.spec.ts",
        "fs.ts",
        "glob.spec.ts",
        "glob.ts",
        "index.ts",
        "log/index.ts",
        "log/log-context-node.ts",
        "log/log-file.spec.ts",
        "log/log-file.ts",
        "log/log-node.spec.ts",
        "log/log-node.ts",
        "log/log-util.spec.ts",
        "log/log-util.ts",
      ]
    `);
  });
  it("should fetch some 2", async () => {
    const result = _chunk2TJ2LE2Mcjs.files.call(void 0, {
      basePath: __dirname,
      pattern: "files*.spec.ts"
    });
    expect(result).toMatchInlineSnapshot(`
      Array [
        "files.spec.ts",
        "filestorage.spec.ts",
      ]
    `);
  });
});
//# sourceMappingURL=files.spec.cjs.map